Account and data
Bulk files
GET
https://api.tennisdatabaseapi.com/v1/exportsComplete planEvery season as compressed CSV files: matches, prices, price moves, statistics and point by point, with rows, size and checksum, rebuilt nightly.
Free key not includedLive not includedArchive not includedComplete included
Try itRuns against the live API with your key. Your key stays in this browser.API
GEThttps://api.tennisdatabaseapi.com/v1/exports
1Parameters
None. Anything in the address answers 422 unknown_parameter.
2Request
curl -H "Authorization: Bearer $TDA_KEY" \ "https://api.tennisdatabaseapi.com/v1/exports"
$ch = curl_init('https://api.tennisdatabaseapi.com/v1/exports'); curl_setopt_array($ch, [ CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('TDA_KEY')], CURLOPT_RETURNTRANSFER => true, ]); $answer = json_decode(curl_exec($ch), true); print_r($answer['data']);
import os, requests r = requests.get( "https://api.tennisdatabaseapi.com/v1/exports", headers={"Authorization": f"Bearer {os.environ['TDA_KEY']}"}, ) print(r.json()["data"])
const r = await fetch("https://api.tennisdatabaseapi.com/v1/exports", { headers: { Authorization: `Bearer ${process.env.TDA_KEY}` }, }); const { data } = await r.json(); console.log(data);
The code follows the form in Try it, with your key in it once you have entered one. Without a key it reads $TDA_KEY.
3Answer
{
"data": [
{
"season": 2026,
"made_at": "2026-11-18T04:52:15Z",
"files": {
"matches": {
"rows": 110546,
"bytes": 6967995,
"sha256": "96449d9d059a23aa38d05cdea2bfb5c12ae4a72201468dcf366be99d9ee7c2c6",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2026/matches"
},
"prices": {
"rows": 871517,
"bytes": 6436624,
"sha256": "d396e6f6df6a5d8612fdab259d08f4057f6a9757571273f2c8ea2c6cb719140a",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2026/prices"
},
"moves": {
"rows": 2331072,
"bytes": 14988225,
"sha256": "f74067240dbe96a5ea462051c3956c616051ab0ad802b09cb84115154896281a",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2026/moves"
},
"statistics": {
"rows": 1104373,
"bytes": 8807993,
"sha256": "ace8da9d790d1ae614bb7e6ff0acf86e0b81788a344784f77be9b2ffc687e121",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2026/statistics"
},
"points": {
"rows": 688169,
"bytes": 5155618,
"sha256": "94cc4d3c9a0ba5c172e50982e1a3efbd49b7fcd3976711f71ae8a86f6054a5d8",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2026/points"
}
}
},
{
"season": 2025,
"made_at": "2026-11-18T04:44:22Z",
"files": {
"matches": {
"rows": 123637,
"bytes": 7734560,
"sha256": "688b22b57851570b8b46ff2611b39ca0df51a3fe0890f35e7a03a4cce518a123",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2025/matches"
},
"prices": {
"rows": 895668,
"bytes": 6398601,
"sha256": "4f9c5e211f26894f280e20e3e6bf3e6dbf719388173970d8b30904825b334225",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2025/prices"
},
"moves": {
"rows": 1739063,
"bytes": 11713670,
"sha256": "a9ff34803d640915a99ef08db51866f922d9d6650e6542d2baa738a585de7448",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2025/moves"
},
"statistics": {
"rows": 1012421,
"bytes": 8048727,
"sha256": "916af1fee2ea2a9e4e5272cad57718d7831ef3a478c62292a558736a03efcfb0",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2025/statistics"
},
"points": {
"rows": 908596,
"bytes": 6821415,
"sha256": "89d3dc3acf3fe1676ff9eca1b36d4060187c76da746ac763b13fabfe3180446e",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2025/points"
}
}
},
{
"season": 2024,
"made_at": "2026-11-08T05:35:13Z",
"files": {
"matches": {
"rows": 105157,
"bytes": 6611427,
"sha256": "b9163da343356854de898a780b5c13f7c36d73865b632d7b500be8294ad0ac92",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2024/matches"
},
"prices": {
"rows": 909739,
"bytes": 6356915,
"sha256": "3ac0e8b8947e863f9ca9e23388f2a8b6a46babbafc969c8a7a85bf819428200d",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2024/prices"
},
"moves": {
"rows": 1746497,
"bytes": 11657602,
"sha256": "40a44f9587d1f76f60348a9c7a129b280273267c4066e7383b7880269f2e8cf7",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2024/moves"
},
"statistics": {
"rows": 793799,
"bytes": 6319159,
"sha256": "e0f9918e86e220206e6f2f49f744cb999fc74e422e70ed97a0ddd33cd0dcd7c0",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2024/statistics"
},
"points": {
"rows": 572151,
"bytes": 4284503,
"sha256": "b91fcbea3d57d24bfc94a8ea9dc6ca29c3e10860a636c1d35a9a0bf807b36f92",
"url": "https://api.tennisdatabaseapi.com/v1/exports/2024/points"
}
}
},
"..."
],
"meta": {
"count": 150,
"format": "gzip-compressed CSV, UTF-8, a header line first; a season is a calendar year of match dates",
"columns": {
"matches": ["match_id", "date", "tour", "tier", "tournament_id", "tournament", "event_known", "season", "surface", "round", "winner_id", "winner", "winner_country", "loser_id", "loser", "loser_country", "score", "winner_sets", "loser_sets", "status", "best_of", "winner_rank", "loser_rank", "winner_seed", "loser_seed", "winner_entry", "loser_entry", "duration_minutes", "umpire", "venue", "city", "closing_winner", "closing_loser", "start_time", "winner_points", "loser_points"],
"prices": ["match_id", "bookmaker", "winner", "loser", "opened_winner", "opened_loser"],
"moves": ["match_id", "bookmaker", "side", "at", "price"],
"statistics": ["match_id", "period", "stat", "winner", "loser"],
"points": ["match_id", "set", "game", "tiebreak", "server", "won_by", "break", "winner_games", "loser_games", "points", "break_points"]
},
"note": "This season and the last are rebuilt nightly, every season weekly. A download counts as one call."
}
}{
"error": {
"code": "upgrade_required",
"message": "This endpoint is on the Complete plan and above.",
"plan": "Complete",
"upgrade": "https://tennisdatabaseapi.com/pricing",
"docs": "https://tennisdatabaseapi.com/documentation/errors"
}
}{
"error": {
"code": "unknown_parameter",
"message": "Unknown parameter: season. This endpoint takes: no parameters.",
"docs": "https://tennisdatabaseapi.com/documentation/errors"
}
}Real answers from the API, made 2026-11-18. Long lists are cut to three items here.
4Fields
| Field | What it holds |
|---|---|
season, made_at | The season (a calendar year of match dates) and when its files were made |
files | For each of matches, prices, moves, statistics, points: rows, bytes, sha256 and the url to fetch it with your key |
meta.columns | Every file's columns, in order |
5Errors
unauthorized | No key, or a key that is unknown or revoked. |
upgrade_required | A key on a lower plan: this endpoint is on the Complete plan. |
unknown_parameter | A parameter this endpoint does not take. |
rate_limited | Too many calls this minute, or the allowance used (quota_exceeded). |